from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XShapeDescriptor

@runtime_checkable
class XShape(XShapeDescriptor, Protocol):
    def getPosition(self) -> Point: ...
    def setPosition(self, aPosition: Point) -> None: ...
    def getSize(self) -> Size: ...
